/// <reference types="node" />
import { Buffer } from 'node:buffer';
type BufferEncoding = 'base64' | 'base64url' | 'hex' | 'latin1' | 'utf8' | 'utf16le';
export type BinaryStringEncoding = BufferEncoding | 'binary' | 'json';
export type BinaryTranscoder = {
    toArray(): number[];
    toBase64(): string;
    toBase64URL(): string;
    toBinary(): string;
    toBuffer(): Buffer;
    toHex(): string;
    toJSON(): string;
    toLatin1(): string;
    toNumber(): number;
    toUInt8Array(): Uint8Array;
    toUTF8(): string;
    toUTF16LE(): string;
};
export default function transcode(param: Buffer | number | number[] | Uint8Array | {
    encoding: BinaryStringEncoding;
    text: string;
}): BinaryTranscoder;
export declare const fromBase64: (text: string) => BinaryTranscoder;
export declare const fromBase64URL: (text: string) => BinaryTranscoder;
export declare const fromBinary: (text: string) => BinaryTranscoder;
export declare const fromHex: (text: string) => BinaryTranscoder;
export declare const fromJSON: (text: string) => BinaryTranscoder;
export declare const fromLatin1: (text: string) => BinaryTranscoder;
export {};
